@extends('dashboard.main')

@section('main-container')
    <style>
        .btn-circle {
            border-radius: 50%;
            width: 40px;
            height: 40px;
            display: flex;
            justify-content: center;
            align-items: center;
            padding: 0;
            border: 1px solid white;
        }

        .btn-circle:hover {
            background-color: red;
            color: white;
        }

        .disabled .btn-circle {
            color: #ccc;
            pointer-events: none;
            border-color: #ccc;
        }
    </style>
    <div class="container my-4">
        <div class="d-flex align-items-center mb-4">
            <a href="{{ route('billingshow') }}" class="btn btn-dark btn-circle me-3">
                <i class="bi bi-arrow-left"></i>
            </a>
            <h1 class="h3 mx-auto"><strong>Billing Update</strong></h1>
        </div>

        <form action="{{ route('billingupdate', $billingdata->id) }}" method="POST" class="border p-4 rounded shadow-sm"
            enctype="multipart/form-data">
            @csrf

            <div class="mb-3 row">
                <label for="first_name" class="form-label col-sm-2 col-form-label">First Name</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" name="first_name" id="first_name"
                        placeholder="Enter First Name" value="{{ old('first_name', $billingdata->first_name) }}">
                    <p class="text-danger">
                        @error('first_name')
                            {{ $message }}
                        @enderror
                    </p>
                </div>
            </div>

            <div class="mb-3 row">
                <label for="last_name" class="form-label col-sm-2 col-form-label">Last Name</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" name="last_name" id="last_name" placeholder="Enter Last Name"
                        value="{{ old('last_name', $billingdata->last_name) }}">
                    <p class="text-danger">
                        @error('last_name')
                            {{ $message }}
                        @enderror
                    </p>
                </div>
            </div>

            <div class="mb-3 row">
                <label for="country" class="form-label col-sm-2 col-form-label">Country</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" name="country" id="country" placeholder="Enter Country"
                        value="{{ old('country', $billingdata->country) }}">
                    <p class="text-danger">
                        @error('country')
                            {{ $message }}
                        @enderror
                    </p>
                </div>
            </div>

            <div class="mb-3 row">
                <label for="address" class="form-label col-sm-2 col-form-label">Address</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" name="address" id="address" placeholder="Enter Address"
                        value="{{ old('address', $billingdata->address) }}">
                    <p class="text-danger">
                        @error('address')
                            {{ $message }}
                        @enderror
                    </p>
                </div>
            </div>

            <div class="mb-3 row">
                <label for="street_address" class="form-label col-sm-2 col-form-label">Street Address</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" name="street_address" id="street_address"
                        placeholder="Enter Street Address"
                        value="{{ old('street_address', $billingdata->street_address) }}">
                    <p class="text-danger">
                        @error('street_address')
                            {{ $message }}
                        @enderror
                    </p>
                </div>
            </div>

            <div class="mb-3 row">
                <label for="apartment" class="form-label col-sm-2 col-form-label">Apartment</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" name="apartment" id="apartment" placeholder="Enter Apartment"
                        value="{{ old('apartment', $billingdata->apartment) }}">
                    <p class="text-danger">
                        @error('apartment')
                            {{ $message }}
                        @enderror
                    </p>
                </div>
            </div>

            <div class="mb-3 row">
                <label for="town_city" class="form-label col-sm-2 col-form-label">Town/City</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" name="town_city" id="town_city" placeholder="Enter Town/City"
                        value="{{ old('town_city', $billingdata->town_city) }}">
                    <p class="text-danger">
                        @error('town_city')
                            {{ $message }}
                        @enderror
                    </p>
                </div>
            </div>

            <div class="mb-3 row">
                <label for="state" class="form-label col-sm-2 col-form-label">State</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" name="state" id="state" placeholder="Enter State"
                        value="{{ old('state', $billingdata->state) }}">
                    <p class="text-danger">
                        @error('state')
                            {{ $message }}
                        @enderror
                    </p>
                </div>
            </div>

            <div class="mb-3 row">
                <label for="postcode" class="form-label col-sm-2 col-form-label">Postcode</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" name="postcode" id="postcode"
                        placeholder="Enter Postcode" value="{{ old('postcode', $billingdata->postcode) }}">
                    <p class="text-danger">
                        @error('postcode')
                            {{ $message }}
                        @enderror
                    </p>
                </div>
            </div>

            <div class="mb-3 row">
                <label for="phone" class="form-label col-sm-2 col-form-label">Phone</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" name="phone" id="phone"
                        placeholder="Enter Phone Number" value="{{ old('phone', $billingdata->phone) }}">
                    <p class="text-danger">
                        @error('phone')
                            {{ $message }}
                        @enderror
                    </p>
                </div>
            </div>

            <div class="mb-3 row">
                <label for="email" class="form-label col-sm-2 col-form-label">E-mail</label>
                <div class="col-sm-10">
                    <input type="email" class="form-control" name="email" id="email"
                        placeholder="Enter Email Address" value="{{ old('email', $billingdata->email) }}">
                    <p class="text-danger">
                        @error('email')
                            {{ $message }}
                        @enderror
                    </p>
                </div>
            </div>
            <button type="submit" class="btn btn-primary w-100">Update</button>
        </form>
    </div>
@endsection
