@extends('dashboard.main')
@section('main-container')
    <style>
        .btn-circle {
            width: 40px;
            height: 40px;
            border-radius: 50%;
            padding: 0;
            display: flex;
            align-items: center;
            justify-content: center;
            border: 1px solid white;
        }

        .action-buttons {
            display: flex;
            gap: 10px;
            justify-content: center;
        }

        .text-left {
            text-align: left;
        }

        .btn-circle:hover {
            background-color: red;
            color: white;
        }

        .disabled .btn-circle {
            color: #ccc;
            pointer-events: none;
            border-color: #ccc;
        }
    </style>

    <div class="container my-4">
        <div class="page-header mb-4">
            <h1 class="h3 text-center mx-auto"><strong>Billing Trash</strong></h1>
            <a href="{{ route('billingshow') }}" class="btn btn-dark btn-circle" title="View Trash">
                <i class="bi bi-arrow-left"></i>
            </a>
        </div>
        <table class="table table-striped table-bordered">
            <thead class="table-dark">
                <tr>
                    <th>ID</th>
                    <th>First Name</th>
                    <th>Last Name</th>
                    <th>Country</th>
                    <th>Address</th>
                    <th>Street Address</th>
                    <th>Apartment</th>
                    <th>Town/City</th>
                    <th>State</th>
                    <th>Postcode</th>
                    <th>Phone</th>
                    <th>Email</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($billingdata as $data)
                    <tr>
                        <td>{{ $data->id }}</td>
                        <td>{{ $data->first_name }}</td>
                        <td>{{ $data->last_name }}</td>
                        <td>{{ $data->country }}</td>
                        <td>{{ $data->address }}</td>
                        <td>{{ $data->street_address }}</td>
                        <td>{{ $data->apartment }}</td>
                        <td>{{ $data->town_city }}</td>
                        <td>{{ $data->state }}</td>
                        <td>{{ $data->postcode }}</td>
                        <td>{{ $data->phone }}</td>
                        <td>{{ $data->email }}</td>
                        <td>
                            <div class="action-buttons">
                                <a href="{{ route('billingrestore', $data->id) }}" class="btn btn-dark btn-circle"
                                    title="Edit">
                                    <i class="bi bi-arrow-counterclockwise"></i>
                                </a>
                                <a href="{{ route('billingperment', $data->id) }}" class="btn btn-dark btn-circle"
                                    title="Delete">
                                    <i class="bi bi-trash"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
        <div class="d-flex justify-content-center my-4">
            <nav aria-label="Page navigation">
                <ul class="pagination">
                    <li class="page-item {{ $billingdata->onFirstPage() ? 'disabled' : '' }}">
                        <a class="btn btn-dark btn-circle me-3" href="{{ $billingdata->previousPageUrl() }}"
                            aria-label="Previous">
                            <i class="bi bi-arrow-left"></i>
                        </a>
                    </li>
                    <li class="page-item {{ !$billingdata->hasMorePages() ? 'disabled' : '' }}">
                        <a class="btn btn-dark btn-circle" href="{{ $billingdata->nextPageUrl() }}" aria-label="Next">
                            <i class="bi bi-arrow-right"></i>
                        </a>
                    </li>
                </ul>
            </nav>
        </div>
    </div>
@endsection
