@extends('dashboard.main')

@section('main-container')
    <style>
        .btn-circle {
            width: 40px;
            height: 40px;
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
            padding: 0;
            border: 1px solid white;
        }

        .action-buttons {
            display: flex;
            gap: 10px;
            justify-content: center;
        }

        .btn-circle:hover {
            background-color: red;
            color: white;
        }

        .page-header {
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .image-thumbnail {
            width: 50px;
            height: 50px;
            object-fit: cover;
            border-radius: 4px;
            border: 1px solid #ddd;
        }
    </style>

    <div class="container my-4">

        <div class="page-header mb-4">
            <a href="{{ route('blogadd') }}" class="btn btn-dark" title="Add Category">
                <i class="bi bi-plus-lg"></i> Add Blog
            </a>

            <h1 class="h3 text-center mx-auto"><strong>Blog Management</strong></h1>

            <!-- View Trash button on the right side -->
            <a href="{{ route('blogtrash') }}" class="btn btn-dark btn-circle" title="View Trash">
                <i class="bi bi-person-x-fill"></i>
            </a>
        </div>

        <table class="table table-striped table-bordered">
            <thead class="table-dark">
                <tr>
                    <th>ID</th>
                    <th>Title</th>
                    <th>Content</th>
                    <th>Image</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($blogdata as $data)
                    <tr>
                        <td>{{ $data->id }}</td>
                        <td class="text-left">{{ $data->title }}</td>
                        <td class="text-left">{{ $data->content }}</td>
                        <td class="text-center">
                            @if ($data->image)
                                <img src="{{ asset('Blog/' . $data->image) }}" alt="Image" class="image-thumbnail">
                            @else
                                <span>No Image</span>
                            @endif
                        </td>
                        <td>
                            <div class="action-buttons">
                                <a href="{{ route('blogedit', $data->id) }}" class="btn btn-dark btn-circle" title="Edit">
                                    <i class="bi bi-pencil"></i>
                                </a>
                                <a href="{{ route('blogdelete', $data->id) }}" class="btn btn-dark btn-circle"
                                    title="Delete">
                                    <i class="bi bi-trash"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>

        <div class="d-flex justify-content-center my-4">
            <nav aria-label="Page navigation">
                <ul class="pagination">
                    <li class="page-item {{ $blogdata->onFirstPage() ? 'disabled' : '' }}">
                        <a class="btn btn-dark btn-circle me-3" href="{{ $blogdata->previousPageUrl() }}"
                            aria-label="Previous">
                            <i class="bi bi-arrow-left"></i>
                        </a>
                    </li>
                    <li class="page-item {{ !$blogdata->hasMorePages() ? 'disabled' : '' }}">
                        <a class="btn btn-dark btn-circle" href="{{ $blogdata->nextPageUrl() }}" aria-label="Next">
                            <i class="bi bi-arrow-right"></i>
                        </a>
                    </li>
                </ul>
            </nav>
        </div>
    </div>
@endsection
