@extends('dashboard.main')

@section('main-container')
    <style>
        .btn-circle {
            width: 40px;
            height: 40px;
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
            padding: 0;
            border: 1px solid white;
        }

        .action-buttons {
            display: flex;
            gap: 10px;
            justify-content: center;
        }

        .btn-circle:hover {
            background-color: red;
            color: white;
        }

        .page-header {
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .image-thumbnail {
            width: 50px;
            height: 50px;
            object-fit: cover;
            border-radius: 4px;
            border: 1px solid #ddd;
        }
    </style>

    <div class="container my-4">
        <div class="page-header mb-4">
            <!-- Back button -->
            <a href="{{ route('categoryshow') }}" class="btn btn-dark btn-circle" title="Back">
                <i class="bi bi-arrow-left"></i>
            </a>

            <h1 class="h3 text-center mx-auto"><strong>Category Trash</strong></h1>


        </div>

        <table class="table table-striped table-bordered">
            <thead class="table-dark">
                <tr>
                    <th>ID</th>
                    <th>Name</th>
                    <th>Slug</th>
                    <th>Status</th>
                    <th>Image</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($categorydata as $data)
                    <tr>
                        <td>{{ $data->id }}</td>
                        <td class="text-left">{{ $data->name }}</td>
                        <td class="text-left">{{ $data->slug }}</td>
                        <td class="text-left">
                            @if ($data->status == 1)
                                <i class="bi bi-check-circle text-success" title="Active"></i> Active
                            @else
                                <i class="bi bi-x-circle text-danger" title="Blocked"></i> Blocked
                            @endif
                        </td>
                        <td class="text-center">
                            @if ($data->image)
                                <img src="{{ asset('Category/' . $data->image) }}" alt="Image" class="image-thumbnail">
                            @else
                                <span>No Image</span>
                            @endif
                        </td>
                        <td>
                            <div class="action-buttons">
                                <a href="{{ route('categoryrestore', $data->id) }}" class="btn btn-dark btn-circle"
                                    title="Restore">
                                    <i class="bi bi-arrow-clockwise"></i>
                                </a>
                                <a href="{{ route('categoryperment', $data->id) }}" class="btn btn-dark btn-circle"
                                    title="Delete">
                                    <i class="bi bi-trash"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>

        <div class="d-flex justify-content-center my-4">
            <nav aria-label="Page navigation">
                <ul class="pagination">
                    <li class="page-item {{ $categorydata->onFirstPage() ? 'disabled' : '' }}">
                        <a class="btn btn-dark btn-circle me-3" href="{{ $categorydata->previousPageUrl() }}"
                            aria-label="Previous">
                            <i class="bi bi-arrow-left"></i>
                        </a>
                    </li>
                    <li class="page-item {{ !$categorydata->hasMorePages() ? 'disabled' : '' }}">
                        <a class="btn btn-dark btn-circle" href="{{ $categorydata->nextPageUrl() }}" aria-label="Next">
                            <i class="bi bi-arrow-right"></i>
                        </a>
                    </li>
                </ul>
            </nav>
        </div>
    </div>
@endsection
