@extends('dashboard.main')

@section('main-container')
    <style>
        .btn-circle {
            border-radius: 50%;
            width: 40px;
            height: 40px;
            display: flex;
            justify-content: center;
            align-items: center;
            padding: 0;
            border: 1px solid white;
        }

        .btn-circle:hover {
            background-color: red;
            color: white;
        }

        .disabled .btn-circle {
            color: #ccc;
            pointer-events: none;
            border-color: #ccc;
        }
    </style>
    <div class="container my-4">
        <div class="d-flex align-items-center mb-4">
            <a href="{{ route('contactshow') }}" class="btn btn-dark btn-circle me-3">
                <i class="bi bi-arrow-left"></i>
            </a>
            <h1 class="h3 mx-auto"><strong>Contact Update</strong></h1>
        </div>

        <form action="{{ route('contactupdate', $contact->id) }}" method="POST" class="border p-4 rounded shadow-sm">
            @csrf
            <div class="mb-3 row">
                <label for="name" class="form-label col-sm-2 col-form-label">Your Name</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" name="name" id="name" placeholder="Your name"
                        value="{{ old('name', $contact->name) }}">
                    <p class="text-danger">
                        @error('name')
                            {{ $message }}
                        @enderror
                    </p>
                </div>
            </div>

            <div class="mb-3 row">
                <label for="email" class="form-label col-sm-2 col-form-label">Your Email</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" name="email" id="email" placeholder="Your Email"
                        value="{{ old('email', $contact->email) }}">
                    <p class="text-danger">
                        @error('email')
                            {{ $message }}
                        @enderror
                    </p>
                </div>
            </div>

            <div class="mb-3 row">
                <label for="content" class="form-label col-sm-2 col-form-label">Message</label>
                <div class="col-sm-10">
                    <textarea class="form-control" name="content" id="content" placeholder="Your message">{{ old('content', $contact->content) }}</textarea>
                    <p class="text-danger">
                        @error('content')
                            {{ $message }}
                        @enderror
                    </p>
                </div>
            </div>
            <button type="submit" class="btn btn-primary w-100">Update</button>
        </form>

    </div>
@endsection
