@extends('dashboard.main')

@section('main-container')
    <style>
        .btn-circle {
            width: 40px;
            height: 40px;
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
            padding: 0;
            border: 1px solid white;
        }

        .action-buttons {
            display: flex;
            gap: 10px;
            justify-content: center;
        }

        .btn-circle:hover {
            background-color: red;
            color: white;
        }

        .page-header {
            display: flex;
            justify-content: space-between;
            align-items: center;
        }
    </style>

    <div class="container my-4">
        <div class="page-header mb-4">
            <h1 class="h3 text-center mx-auto"><strong>Contact Management</strong></h1>
            <a href="{{ route('contacttrash') }}" class="btn btn-dark btn-circle" title="View Trash">
                <i class="bi bi-person-x-fill"></i>
            </a>
        </div>
        <table class="table table-striped table-bordered">
            <thead class="table-dark">
                <tr>
                    <th>ID</th>
                    <th>Name</th>
                    <th>Email</th>
                    <th>Message</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($contactdata as $data)
                    <tr>
                        <td>{{ $data->id }}</td>
                        <td>{{ $data->name }}</td>
                        <td>{{ $data->email }}</td>
                        <td>{{ $data->content }}</td>
                        <td>
                            <div class="action-buttons">
                                <a href="{{ route('contactedit', $data->id) }}" class="btn btn-dark btn-circle"
                                    title="Edit">
                                    <i class="bi bi-pencil"></i>
                                </a>
                                <a href="{{ route('contactdelete', $data->id) }}" class="btn btn-dark btn-circle"
                                    title="Delete">
                                    <i class="bi bi-trash"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>


    <div class="d-flex justify-content-center my-4">
        <nav aria-label="Page navigation">
            <ul class="pagination">
                <li class="page-item {{ $contactdata->onFirstPage() ? 'disabled' : '' }}">
                    <a class="btn btn-dark btn-circle me-3" href="{{ $contactdata->previousPageUrl() }}"
                        aria-label="Previous">
                        <i class="bi bi-arrow-left"></i> <!-- Left Arrow Icon -->
                    </a>
                </li>
                <li class="page-item {{ !$contactdata->hasMorePages() ? 'disabled' : '' }}">
                    <a class="btn btn-dark btn-circle" href="{{ $contactdata->nextPageUrl() }}" aria-label="Next">
                        <i class="bi bi-arrow-right"></i> <!-- Right Arrow Icon -->
                    </a>
                </li>
            </ul>
        </nav>
    </div>
@endsection
