@extends('dashboard.main')

@section('main-container')
    <style>
        .btn-circle {
            border-radius: 50%;
            width: 40px;
            height: 40px;
            display: flex;
            justify-content: center;
            align-items: center;
            padding: 0;
            border: 1px solid white;
        }

        .btn-circle:hover {
            background-color: red;
            color: white;
        }

        .disabled .btn-circle {
            color: #ccc;
            pointer-events: none;
            border-color: #ccc;
        }
    </style>
    <div class="container my-4">
        <div class="d-flex align-items-center mb-4">
            <a href="{{ route('usershow') }}" class="btn btn-dark btn-circle me-3">
                <i class="bi bi-arrow-left"></i>
            </a>
            <h1 class="h3 mx-auto"><strong>Update User</strong></h1>
        </div>

        <form action="{{ route('userupdate', $userdata->id) }}" method="POST" class="border p-4 rounded shadow-sm"
            enctype="multipart/form-data">
            @csrf

            <div class="mb-3 row">
                <label for="name" class="form-label col-sm-2 col-form-label">Full Name</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" name="name" id="name" placeholder="Enter user's name"
                        value="{{ old('name', $userdata->name) }}">
                    <p class="text-danger">
                        @error('name')
                            {{ $message }}
                        @enderror
                    </p>
                </div>
            </div>

            <div class="mb-3 row">
                <label for="email" class="form-label col-sm-2 col-form-label">E-mail</label>
                <div class="col-sm-10">
                    <input type="email" class="form-control" name="email" id="email"
                        placeholder="Enter Email Address" value="{{ old('email', $userdata->email) }}">
                    <p class="text-danger">
                        @error('email')
                            {{ $message }}
                        @enderror
                    </p>
                </div>
            </div>

            <div class="mb-3 row">
                <label for="password" class="form-label col-sm-2 col-form-label">Password</label>
                <div class="col-sm-10">
                    <input type="password" class="form-control" name="password" id="password" placeholder="Enter Password"
                        value="">
                    <p class="text-danger">
                        @error('password')
                            {{ $message }}
                        @enderror
                    </p>
                </div>
            </div>

            <div class="mb-3 row">
                <label for="password_confirmation" class="form-label col-sm-2 col-form-label">Confirm</label>
                <div class="col-sm-10">
                    <input type="password" class="form-control" name="password_confirmation" id="password_confirmation"
                        placeholder="Confirm Password" value="">
                    <p class="text-danger">
                        @error('password_confirmation')
                            {{ $message }}
                        @enderror
                    </p>
                </div>
            </div>

            <button type="submit" class="btn btn-primary w-100">Update</button>
        </form>
    </div>
@endsection
