@extends('dashboard.main')

@section('main-container')
    <style>
        .btn-circle {
            width: 40px;
            height: 40px;
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
            padding: 0;
            border: 1px solid white;
        }

        .action-buttons {
            display: flex;
            gap: 10px;
            justify-content: center;
        }

        .btn-circle:hover {
            background-color: red;
            color: white;
        }

        .page-header {
            display: flex;
            justify-content: space-between;
            align-items: center;
        }
    </style>

    <div class="container my-4">
        <div class="page-header mb-4">
            <h1 class="h3 text-center mx-auto"><strong>User Management</strong></h1>
            <a href="{{ route('usertrash') }}" class="btn btn-dark btn-circle" title="View Trash">
                <i class="bi bi-person-x-fill"></i>
            </a>
        </div>

        <table class="table table-striped table-bordered">
            <thead class="table-dark">
                <tr>
                    <th>ID</th>
                    <th>Name</th>
                    <th>Email</th>
                    <th>Usertype</th>
                    <th>Password</th>
                    <th>Created At</th> 
                    <th>Updated At</th> 
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($userdata as $data)
                    <tr>
                        <td>{{ $data->id }}</td>
                        <td class="text-left">{{ $data->name }}</td>
                        <td class="text-left">{{ $data->email }}</td>
                        <td class="text-left">{{ $data->usertype }}</td>
                        <td>*****</td>
                        <td>{{ $data->created_at->format('Y-m-d H:i:s') }}</td> <!-- Display Created At -->
                        <td>{{ $data->updated_at->format('Y-m-d H:i:s') }}</td> <!-- Display Updated At -->
                        <td>
                            <div class="action-buttons">
                                <a href="{{ route('useredit', $data->id) }}" class="btn btn-dark btn-circle" title="Edit">
                                    <i class="bi bi-pencil"></i>
                                </a>
                                <a href="{{ route('userdelete', $data->id) }}" class="btn btn-dark btn-circle"
                                    title="Delete">
                                    <i class="bi bi-trash"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>

        <div class="d-flex justify-content-center my-4">
            <nav aria-label="Page navigation">
                <ul class="pagination">
                    <li class="page-item {{ $userdata->onFirstPage() ? 'disabled' : '' }}">
                        <a class="btn btn-dark btn-circle me-3" href="{{ $userdata->previousPageUrl() }}"
                            aria-label="Previous">
                            <i class="bi bi-arrow-left"></i> <!-- Left Arrow Icon -->
                        </a>
                    </li>
                    <li class="page-item {{ !$userdata->hasMorePages() ? 'disabled' : '' }}">
                        <a class="btn btn-dark btn-circle" href="{{ $userdata->nextPageUrl() }}" aria-label="Next">
                            <i class="bi bi-arrow-right"></i> <!-- Right Arrow Icon -->
                        </a>
                    </li>
                </ul>
            </nav>
        </div>
    </div>
@endsection
