<!DOCTYPE html>
<html lang="zxx">

@include('frontend.layouts.head')
<style>
    /* For large screens */
    .blog__sidebar__item {
        margin-left: 70px;
    }

    /* For smaller screens */
    @media (max-width: 768px) {
        .blog__sidebar__item {
            margin-left: 20px;
            /* Smaller margin for mobile/tablets */
        }
    }

    /* For extra small screens (phones) */
    @media (max-width: 576px) {
        .blog__sidebar__item {
            margin-left: 0;
            /* Remove margin on very small screens */
        }
    }
</style>

<body>

    @include('frontend.layouts.header')

    <!-- Blog Details Section Begin -->
    <div class="col-lg-8 col-md-7">
        <div class="row">
            <!-- Main Blog Content (right side) -->
            <div class="col-lg-8 col-md-7 order-md-2 order-1">
                <div class="row" style="margin-left: 50px; margin-top: 50px;">
                    @foreach ($blogs as $blog)
                        <div class="col-lg-6 col-md-6 col-sm-6">
                            <div class="blog__item">
                                <div class="blog__item__pic">
                                    <!-- Display dynamic image -->
                                    <img src="{{ asset('Blog/' . $blog->image) }}" alt="{{ $blog->title }}">
                                </div>
                                <div class="blog__item__text">
                                    <ul>
                                        <!-- Display dynamic date -->
                                        <li><i class="fa fa-calendar-o"></i> {{ $blog->created_at->format('M d, Y') }}
                                        </li>
                                        <!-- Display dynamic comment count -->
                                        <li><i class="fa fa-comment-o"></i> {{ $blog->comments_count }}</li>
                                    </ul>
                                    <!-- Display dynamic title -->
                                    <h5><a href="{{ route('blogpage', $blog->id) }}">{{ $blog->title }}</a></h5>
                                    <!-- Display a part of the content -->
                                    <p>{{ Str::limit($blog->content, 100) }}</p>
                                    <!-- Link to view the full post -->
                                    <a href="{{ route('blogpage', $blog->id) }}" class="blog__btn">READ MORE <span
                                            class="arrow_right"></span></a>
                                </div>
                            </div>
                        </div>
                    @endforeach
                </div>
                <!-- Pagination Section -->
                <div class="col-lg-12">
                    <div class="product__pagination blog__pagination">
                        <!-- Assuming you're using a paginated collection -->
                        {{--  {{ $blogs->links() }}  --}}
                    </div>
                </div>
            </div>
            <!-- Sidebar (left side) -->
            <div class="col-lg-4 col-md-5 order-md-1 order-2">
                <div class="blog__sidebar">


                    <div class="blog__sidebar__item" style="margin-left: 70px">
                        <h4>Recent News</h4>
                        <div class="blog__sidebar__recent">
                            <a href="#" class="blog__sidebar__recent__item">
                                <div class="blog__sidebar__recent__item__pic">
                                    <img src="{{ asset('women cotton.jpg') }}" alt="" width="50px"
                                        height="50px">
                                </div>
                                <div class="blog__sidebar__recent__item__text">
                                    <h6>Popular choice forcasual wear</h6>
                                    <span>JAN 03, 2024</span>
                                </div>
                            </a>
                            <a href="#" class="blog__sidebar__recent__item">
                                <div class="blog__sidebar__recent__item__pic">
                                    <img src="{{ asset('cotton 1.jpg') }}" alt="" width="50px" height="50px">
                                </div>
                                <div class="blog__sidebar__recent__item__text">
                                    <h6>Cotton is a soft, breathable</h6>
                                    <span>OCT 13, 2022</span>
                                </div>
                            </a>
                            <a href="#" class="blog__sidebar__recent__item">
                                <div class="blog__sidebar__recent__item__pic">
                                    <img src="{{ asset('cotton factory.jpg') }}" alt="" width="50px"
                                        height="50px">
                                </div>
                                <div class="blog__sidebar__recent__item__text">
                                    <h6> Services</h6>
                                    <span>MAR 05, 2020</span>
                                </div>
                            </a>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    @include('frontend.layouts.footer')

    <!-- Js Plugins -->
    <script src="js/jquery-3.3.1.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/jquery.nice-select.min.js"></script>
    <script src="js/jquery-ui.min.js"></script>
    <script src="js/jquery.slicknav.js"></script>
    <script src="js/mixitup.min.js"></script>
    <script src="js/owl.carousel.min.js"></script>
    <script src="js/main.js"></script>

</body>

</html>
