<!DOCTYPE html>
<html lang="zxx">

@include('frontend.layouts.head')

<body>

    @include('frontend.layouts.header')
    <section class="breadcrumb-section set-bg"
        style="background: linear-gradient(to right, #ffffff, #f8f8f8); padding: 30px 0;">
        <div class="container">
            <div class="row">
                <div class="text-center col-lg-12">
                    <div class="breadcrumb__text">
                        <h2 style="color: #333;">Haider Bazaar</h2>
                        <div class="breadcrumb__option">
                            <a href="{{ route('home') }}" style="color: #555;">Home</a>
                            <a href="{{ route('shop') }}" style="color: #555;">Shop</a>
                            <span style="color: #888;">/ Checkout</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Breadcrumb Section End -->


    <!-- Checkout Section Begin -->
    <section class="checkout spad">
        <div class="container">

            <div class="checkout__form">
                <h4>Billing Details</h4>

                @include('dashboard.include.alerts')

                <form action="{{ route('billingadd') }}" method="POST">
                    @csrf
                    <div class="row">
                        <div class="col-lg-8 col-md-6">
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="checkout__input">
                                        <p>First Name<span>*</span></p>
                                        <input type="text" name="first_name" value="{{ old('first_name') }}">
                                        @error('first_name')
                                            <div class="text-danger">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="checkout__input">
                                        <p>Last Name<span>*</span></p>
                                        <input type="text" name="last_name" value="{{ old('last_name') }}">
                                        @error('last_name')
                                            <div class="text-danger">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="checkout__input">
                                <p>Country<span>*</span></p>
                                <input type="text" name="country" value="{{ old('country') }}">
                                @error('country')
                                    <div class="text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="checkout__input">
                                <p>Address<span>*</span></p>
                                <input type="text" name="address" placeholder=" House number"
                                    class="checkout__input__add" value="{{ old('address') }}">
                                <input type="text" name="street_address" placeholder="Street Address"
                                    class="checkout__input__add" value="{{ old('address') }}">

                                <input type="text" name="apartment"
                                    placeholder="Apartment, suite, unit, etc. (optional)"
                                    value="{{ old('apartment') }}">
                                @error('address')
                                    <div class="text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="checkout__input">
                                <p>Town/City<span>*</span></p>
                                <input type="text" name="town_city" value="{{ old('town_city') }}">
                                @error('town_city')
                                    <div class="text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="checkout__input">
                                <p>Country/State<span>*</span></p>
                                <input type="text" name="state" value="{{ old('state') }}">
                                @error('state')
                                    <div class="text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="checkout__input">
                                <p>Postcode / ZIP<span>*</span></p>
                                <input type="text" name="postcode" value="{{ old('postcode') }}">
                                @error('postcode')
                                    <div class="text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="checkout__input">
                                        <p>Phone<span>*</span></p>
                                        <input type="text" name="phone" value="{{ old('phone') }}">
                                        @error('phone')
                                            <div class="text-danger">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="checkout__input">
                                        <p>Email<span>*</span></p>
                                        <input type="text" name="email" value="{{ old('email') }}">
                                        @error('email')
                                            <div class="text-danger">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="checkout__input__checkbox">
                                <label for="acc">
                                    Create an account?
                                    <input type="checkbox" name="create_account" id="acc"
                                        {{ old('create_account') ? 'checked' : '' }}>
                                    <span class="checkmark"></span>
                                </label>
                            </div>
                            <p>Create an account by entering the information below. If you are a returning customer,
                                please login at the top of the page.</p>
                        </div>


                        <div class="col-lg-4 col-md-6">
                            <!-- Checkout Order Section -->
                            <div class="checkout__order">
                                <h4>Your Order</h4>
                                <div class="checkout__order__products">Products <span>Total</span></div>
                                <ul>
                                    @if ($cart && count($cart) > 0)
                                        @foreach ($cart as $item)
                                            <li>
                                                {{ $item['name'] }}
                                                <span>{{ number_format($item['price'] * $item['quantity'], 2) }}
                                                    Rs</span>
                                            </li>
                                        @endforeach
                                    @else
                                        <li>Your cart is empty!</li>
                                    @endif
                                </ul>
                                <div class="checkout__order__subtotal">
                                    <div class="checkout__order__total">Total <span>{{ number_format($total, 2) }}
                                            Rs</span></div>
                                    <!-- Place Order Button with AJAX -->
                                    <button type="button" class="site-btn" id="placeOrderBtn">PLACE ORDER</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="checkout__input">
                        <button type="submit" class="site-btn " style="width: 730px">Add Billing Information</button>
                    </div>
                </form>


            </div>
        </div>
    </section>
    <!-- Checkout Section End -->

    @include('frontend.layouts.footer')

    <!-- Js Plugins -->
    <script src="js/jquery-3.3.1.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/jquery.nice-select.min.js"></script>
    <script src="js/jquery-ui.min.js"></script>
    <script src="js/jquery.slicknav.js"></script>
    <script src="js/mixitup.min.js"></script>
    <script src="js/owl.carousel.min.js"></script>
    <script src="js/main.js"></script>

    <script>
        document.getElementById('placeOrderBtn').addEventListener('click', function() {
            // Disable the button to prevent multiple clicks
            this.disabled = true;
            this.innerText = "Placing Order..."; // Optional: Change button text while processing

            fetch('{{ route('checkout.placeOrder') }}', {
                    method: 'POST',
                    headers: {
                        'Content-Type': 'application/json',
                        'X-CSRF-TOKEN': '{{ csrf_token() }}',
                    },
                    body: JSON.stringify({
                        // You can add any necessary data here, like user info, order details, etc.
                    })
                })
                .then(response => response.json())
                .then(data => {
                    if (data.success) {
                        alert(data.message); // Show success message
                        // Redirect after successful order placement
                        window.location.href = '{{ route('home') }}';
                    } else {
                        alert("Something went wrong! Please try again.");
                        // Enable button again if there was an error
                        document.getElementById('placeOrderBtn').disabled = false;
                        document.getElementById('placeOrderBtn').innerText = "PLACE ORDER";
                    }
                })
                .catch(error => {
                    alert("Error: " + error);
                    document.getElementById('placeOrderBtn').disabled =
                        false; // Re-enable button if there's an error
                    document.getElementById('placeOrderBtn').innerText = "PLACE ORDER";
                });
        });
    </script>

</body>

</html>
