<!DOCTYPE html>
<html lang="zxx">

@include('frontend.layouts.head')

<body>


    @include('frontend.layouts.header')

    <!-- Breadcrumb Section Begin -->
    <section class="breadcrumb-section set-bg"
        style="background: linear-gradient(to right, #ffffff, #f8f8f8); padding: 30px 0;">
        <div class="container">
            <div class="row">
                <div class="text-center col-lg-12">
                    <div class="breadcrumb__text">
                        <h2 style="color: #333;">Haider Bazaar</h2>
                        <div class="breadcrumb__option">
                            <a href="{{ route('home') }}" style="color: #555;">Home</a>
                            <span style="color: #888;">/ Contact</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Breadcrumb Section End -->

    <!-- Contact Section Begin -->
    <section class="contact spad">
        <div class="container">
            <div class="row">
                <div class="col-lg-3 col-md-3 col-sm-6 text-center">
                    <div class="contact__widget">
                        <span class="icon_phone"></span>
                        <h4>Phone</h4>
                        <p>+93033119244</p>
                    </div>
                </div>
                <div class="col-lg-3 col-md-3 col-sm-6 text-center">
                    <div class="contact__widget">
                        <span class="icon_pin_alt"></span>
                        <h4>Address</h4>
                        <p>
                            Add: 19 Street 13, I-8/1 I 8/1 DHA, Islamabad,
                        </p>
                    </div>
                </div>
                <div class="col-lg-3 col-md-3 col-sm-6 text-center">
                    <div class="contact__widget">
                        <span class="icon_clock_alt"></span>
                        <h4>Open time</h4>
                        <p>10:00 am to 5:00 pm</p>
                    </div>
                </div>
                <div class="col-lg-3 col-md-3 col-sm-6 text-center">
                    <div class="contact__widget">
                        <span class="icon_mail_alt"></span>
                        <h4>Email</h4>
                        <p>bisharatsoomro@gmail.com</p>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Contact Section End -->

    <!-- Map Begin -->
    <div class="map">
        <iframe <iframe
            src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3320.7932187023894!2d73.06429167449767!3d33.66251943821031!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x38df95443695191b%3A0xb549052b6acee09!2sSoftware%20Services!5e0!3m2!1sen!2s!4v1731279687686!5m2!1sen!2s"
            height="500" style="border:0;" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>
        <div class="map-inside">
            <i class="icon_pin"></i>
            <div class="inside-widget">
                <h4>Islamabad</h4>
                <ul>
                    <li>Phone: +92033119244</li>
                    <li>Add: 19 Street 13, I-8/1 I 8/1 DHA, Islamabad, Islamabad Capital Territory 14763, Pakistan</li>
                </ul>
            </div>
        </div>
    </div>
    <!-- Map End -->

    <!-- Contact Form Begin -->
    <div class="contact-form spad">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="contact__form__title">
                        <h2>Leave Message</h2>
                    </div>
                </div>
            </div>
            @include('dashboard.include.alerts')
            <form action="{{ route('contactcreate') }}" method="POST">
                @csrf
                <div class="row">

                    <div class="col-lg-6 col-md-6">
                        <input type="text" name="name" placeholder="Your name" value="{{ old('name') }}">
                        <p class="text-danger">
                            @error('name')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                    <div class="col-lg-6 col-md-6">
                        <input type="text" name="email" placeholder="Your Email" value="{{ old('email') }}">
                        <p class="text-danger">
                            @error('email')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                    <div class="col-lg-12 text-center">
                        <textarea name="content" placeholder="Your message">{{ old('content') }}</textarea>
                        <p class="text-danger">
                            @error('content')
                                {{ $message }}
                            @enderror
                        </p>
                        <button type="submit" class="site-btn">SEND MESSAGE</button>
                    </div>
                </div>
            </form>

        </div>
    </div>
    <!-- Contact Form End -->

    <!-- Footer Section Begin -->
    @include('frontend.layouts.footer')
    <!-- Js Plugins -->
    <script src="js/jquery-3.3.1.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/jquery.nice-select.min.js"></script>
    <script src="js/jquery-ui.min.js"></script>
    <script src="js/jquery.slicknav.js"></script>
    <script src="js/mixitup.min.js"></script>
    <script src="js/owl.carousel.min.js"></script>
    <script src="js/main.js"></script>



</body>

</html>
