<!DOCTYPE html>
<html lang="zxx">
@include('frontend.layouts.head')
<style>
    .sale-tag {
        position: absolute;
        top: 10px;
        right: 10px;
        background-color: red;
        /* Change as needed */
        color: white;
        /* Text color */
        padding: 5px 10px;
        font-weight: bold;
        border-radius: 5px;
    }

    .btn-circle {
        width: 40px;
        height: 40px;
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 0;
        border: 1px solid white;
    }

    .action-buttons {
        display: flex;
        gap: 10px;
        justify-content: center;
    }

    .btn-circle:hover {
        background-color: #74a63c;
        color: white;
    }

    .page-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .image-thumbnail {
        width: 50px;
        height: 50px;
        object-fit: cover;
        border-radius: 4px;
        border: 1px solid #ddd;
    }
</style>


<body>
    <!-- Page Preloder -->
    <div id="preloder">
        <div class="loader"></div>
    </div>
    @include('frontend.layouts.header')

    <section class="breadcrumb-section set-bg"
        style="background: linear-gradient(to right, #ffffff, #f8f8f8); padding: 30px 0;">
        <div class="container">
            <div class="row">
                <div class="text-center col-lg-12">
                    <div class="breadcrumb__text">
                        <h2 style="color: #333;">Haider Bazaar</h2>
                        <div class="breadcrumb__option">
                            <a href="{{ route('home') }}" style="color: #555;">Home</a>
                            <span style="color: #888;">/</span>
                            <span style="color: #888;">Shop</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!-- Breadcrumb Section End -->


    <div class="filter__item">

        <!-- Product Section Begin -->
        <section class="product spad">
            <div class="container">
                <div class="row">
                    <div class="col-lg-3 col-md-5">
                        <div class="sidebar">

                            <div class="sidebar__item">
                                <div class="latest-product__text">
                                    <h4>Latest Products</h4>
                                    <div class="latest-product__slider owl-carousel">
                                        @foreach ($reviewProducts as $product)
                                            <div class="latest-product__slider__item">
                                                <a href="#" class="latest-product__item">
                                                    <div class="latest-product__item__pic">
                                                        <img src="{{ asset('Product/' . $product->image) }}"
                                                            alt="{{ $product->name }}">
                                                    </div>
                                                    <div class="latest-product__item__text">
                                                        <h6>{{ $product->name }}</h6>
                                                        <span>${{ number_format($product->price, 2) }}</span>
                                                    </div>
                                                </a>
                                            </div>
                                        @endforeach
                                    </div>

                                </div>
                                <div class="latest-product__text">
                                    <h4>Latest Products</h4>
                                    <div class="latest-product__slider owl-carousel">
                                        @foreach ($topRatedProducts as $product)
                                            <div class="latest-product__slider__item">
                                                <a href="#" class="latest-product__item">
                                                    <div class="latest-product__item__pic">
                                                        <img src="{{ asset('Product/' . $product->image) }}"
                                                            alt="{{ $product->name }}">
                                                    </div>
                                                    <div class="latest-product__item__text">
                                                        <h6>{{ $product->name }}</h6>
                                                        <span>${{ number_format($product->price, 2) }}</span>
                                                    </div>
                                                </a>
                                            </div>
                                        @endforeach
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-9 col-md-7">
                        <div class="product__discount">
                            <div class="text-center section-title product__discount__title">
                                <h2>Sale Off</h2>
                            </div>
                        </div>


                        <div class="row">
                            <div class="col-lg-4">
                                <div class="product__discount__item">

                                    <div class="product__discount__item">
                                        <!-- Product Image Section -->
                                        <div class="product__discount__item__pic set-bg"
                                            data-setbg="{{ asset('Product/' . $product->image) }}">
                                            <div class="product__discount__percent">-50%</div>
                                            <ul class="product__item__pic__hover">
                                                <li><a href="{{ route('productdetail', $product->id) }}"><i
                                                            class="fa fa-shopping-cart"></i></a></li>
                                            </ul>
                                        </div>

                                        <!-- Product Details Section -->
                                        <div class="product__discount__item__text">
                                            <span
                                                class="text-muted">{{ $product->category->name ?? 'No Category' }}</span>
                                            <h5>{{ $product->name }}</h5>
                                            <div class="product__item__price">
                                                {{ number_format($product->price * 0.5, 2) }} Rs
                                                <span>{{ number_format($product->price, 2) }} Rs</span>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>

                    </div> <!-- End of .col-lg-9 col-md-7 -->
                </div>
                <div class="filter__item">
                    <div class="row">
                        <div class="col-lg-4 col-md-5">
                            <div class="filter__sort">
                                <span>Sort By</span>
                                <select id="sort-by" onchange="sortProducts()">
                                    <option value="default" {{ request()->sort == 'default' ? 'selected' : '' }}>
                                        Default</option>
                                    <option value="low_high" {{ request()->sort == 'low_high' ? 'selected' : '' }}>
                                        Price: Low to High</option>
                                    <option value="high_low" {{ request()->sort == 'high_low' ? 'selected' : '' }}>
                                        Price: High to Low</option>
                                </select>
                            </div>

                            <script>
                                function sortProducts() {
                                    var sortOption = document.getElementById('sort-by').value;
                                    window.location.href = "{{ url('/searchproduct') }}" + "?sort=" + sortOption;
                                }
                            </script>

                        </div>
                        <div class="col-lg-4 col-md-4">
                            <div class="filter__found">
                            </div>


                        </div>
                        <div class="col-lg-4 col-md-3">
                            <div class="filter__option">
                                <span class="icon_grid-2x2"></span>
                                <span class="icon_ul"></span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    @foreach ($featuredProducts as $product)
                        <div class="col-lg-4 col-md-6 col-sm-6">
                            <div class="product__item">
                                <div class="product__item__pic set-bg"
                                    data-setbg="{{ asset('Product/' . $product->image) }}">
                                    <ul class="product__item__pic__hover">
                                        <li><a href="{{ route('productdetail', $product->id) }}">
                                                <i class="fa fa-shopping-cart"></i></a>
                                        </li>
                                    </ul>
                                </div>
                                <div class="product__item__text">
                                    <!-- Product Name as a Link to Product Description Page -->
                                    <h6>
                                        {{ $product->name }}
                                    </h6>

                                    <h5>{{ number_format($product->price, 2) }} Rs</h5>
                                </div>
                            </div>
                        </div>
                    @endforeach
                </div>
            </div>
        </section>
        <div class="my-4 d-flex justify-content-center">
            <nav aria-label="Page navigation">
                <ul class="pagination">
                    <li class="page-item {{ $featuredProducts->onFirstPage() ? 'disabled' : '' }}">
                        <a class="btn btn-dark btn-circle me-3" href="{{ $featuredProducts->previousPageUrl() }}"
                            aria-label="Previous">
                            <i class="bi bi-arrow-left"></i> <!-- Left Arrow Icon -->
                        </a>
                    </li>&nbsp;&nbsp;&nbsp;&nbsp;
                    <li class="page-item {{ !$featuredProducts->hasMorePages() ? 'disabled' : '' }}">
                        <a class="btn btn-dark btn-circle" href="{{ $featuredProducts->nextPageUrl() }}"
                            aria-label="Next">
                            <i class="bi bi-arrow-right"></i> <!-- Right Arrow Icon -->
                        </a>
                    </li>
                </ul>
            </nav>
        </div>
    </div>
    </div>
    @include('frontend.layouts.footer')
</body>
<!-- Product Section End -->

<!-- Footer Section Begin -->


<!-- Js Plugins -->
<script src="js/jquery-3.3.1.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<script src="js/jquery.nice-select.min.js"></script>
<script src="js/jquery-ui.min.js"></script>
<script src="js/jquery.slicknav.js"></script>
<script src="js/mixitup.min.js"></script>
<script src="js/owl.carousel.min.js"></script>
<script src="js/main.js"></script>
<!-- jQuery -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

<!-- Bootstrap JS -->
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.bundle.min.js"></script>



</body>

</html>
