<?php $__env->startSection('main-container'); ?>
    <style>
        .btn-circle {
            width: 40px;
            height: 40px;
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
            padding: 0;
            border: 1px solid white;
        }

        .action-buttons {
            display: flex;
            gap: 10px;
            justify-content: center;
        }

        .btn-circle:hover {
            background-color: red;
            color: white;
        }

        .page-header {
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .image-thumbnail {
            width: 50px;
            height: 50px;
            object-fit: cover;
            border-radius: 4px;
            border: 1px solid #ddd;
        }
    </style>

    <div class="container my-4">

        <div class="page-header mb-4">
            <a href="<?php echo e(route('subcategoryadd')); ?>" class="btn btn-dark" title="Add SubCategory">
                <i class="bi bi-plus-lg"></i> Add Subcategory
            </a>

            <h1 class="h3 text-center mx-auto"><strong>SubCategory Management</strong></h1>

            <!-- View Trash button on the right side -->
            <a href="<?php echo e(route('subcategorytrash')); ?>" class="btn btn-dark btn-circle" title="View Trash">
                <i class="bi bi-person-x-fill"></i>
            </a>
        </div>

        <table class="table table-striped table-bordered">
            <thead class="table-dark">
                <tr>
                    <th>ID</th>
                    <th>Name</th>
                    <th>Slug</th>
                    <th>Status</th>
                    <th>Category Id</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $subcategorydata; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($data->id); ?></td>
                        <td class="text-left"><?php echo e($data->name); ?></td>
                        <td class="text-left"><?php echo e($data->slug); ?></td>
                        <td class="text-left">
                            <?php if($data->status == 1): ?>
                                <i class="bi bi-check-circle text-success" title="Active"></i> Active
                            <?php else: ?>
                                <i class="bi bi-x-circle text-danger" title="Blocked"></i> Blocked
                            <?php endif; ?>
                        </td>
                        <td class="text-left">
                            <?php if($data->category_id): ?>
                                <?php echo e($subcategorydata->find($data->category_id)->name ?? 'No Category'); ?>

                            <?php else: ?>
                                <span>No Category</span>
                            <?php endif; ?>
                        </td>
                        <td>
                            <div class="action-buttons">
                                <a href="<?php echo e(route('subcategoryedit', $data->id)); ?>" class="btn btn-dark btn-circle"
                                    title="Edit">
                                    <i class="bi bi-pencil"></i>
                                </a>
                                <a href="<?php echo e(route('subcategorydelete', $data->id)); ?>" class="btn btn-dark btn-circle"
                                    title="Delete">
                                    <i class="bi bi-trash"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>

        <div class="d-flex justify-content-center my-4">
            <nav aria-label="Page navigation">
                <ul class="pagination">
                    <li class="page-item <?php echo e($subcategorydata->onFirstPage() ? 'disabled' : ''); ?>">
                        <a class="btn btn-dark btn-circle me-3" href="<?php echo e($subcategorydata->previousPageUrl()); ?>"
                            aria-label="Previous">
                            <i class="bi bi-arrow-left"></i>
                        </a>
                    </li>
                    <li class="page-item <?php echo e(!$subcategorydata->hasMorePages() ? 'disabled' : ''); ?>">
                        <a class="btn btn-dark btn-circle" href="<?php echo e($subcategorydata->nextPageUrl()); ?>" aria-label="Next">
                            <i class="bi bi-arrow-right"></i>
                        </a>
                    </li>
                </ul>
            </nav>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('dashboard.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Fast Computer\OneDrive\Desktop\Haider\haider\resources\views/dashboard/subcategory/show.blade.php ENDPATH**/ ?>