<?php $__env->startSection('main-container'); ?>
    <style>
        .btn-circle {
            width: 40px;
            height: 40px;
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
            padding: 0;
            border: 1px solid white;
        }

        .action-buttons {
            display: flex;
            gap: 10px;
            justify-content: center;
        }

        .btn-circle:hover {
            background-color: red;
            color: white;
        }

        .page-header {
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .image-thumbnail {
            width: 50px;
            height: 50px;
            object-fit: cover;
            border-radius: 4px;
            border: 1px solid #ddd;
        }
    </style>

    <div class="container my-4">
        <div class="page-header mb-4">
            <!-- Back button -->
            <a href="<?php echo e(route('blogshow')); ?>" class="btn btn-dark btn-circle" title="Back">
                <i class="bi bi-arrow-left"></i>
            </a>

            <h1 class="h3 text-center mx-auto"><strong>Blog Trash</strong></h1>


        </div>

        <table class="table table-striped table-bordered">
            <thead class="table-dark">
                <tr>
                    <th>ID</th>
                    <th>Name</th>
                    <th>Slug</th>
                    <th>Status</th>
                    <th>Image</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $blogdata; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($data->id); ?></td>
                        <td class="text-left"><?php echo e($data->title); ?></td>
                        <td class="text-left"><?php echo e($data->content); ?></td>
                        <td class="text-center">
                            <?php if($data->image): ?>
                                <img src="<?php echo e(asset('Blog/' . $data->image)); ?>" alt="Image" class="image-thumbnail">
                            <?php else: ?>
                                <span>No Image</span>
                            <?php endif; ?>
                        </td>
                        <td>
                            <div class="action-buttons">
                                <a href="<?php echo e(route('blogrestore', $data->id)); ?>" class="btn btn-dark btn-circle"
                                    title="Edit">
                                    <i class="bi bi-pencil"></i>
                                </a>
                                <a href="<?php echo e(route('blogperment', $data->id)); ?>" class="btn btn-dark btn-circle"
                                    title="Delete">
                                    <i class="bi bi-trash"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>

        <div class="d-flex justify-content-center my-4">
            <nav aria-label="Page navigation">
                <ul class="pagination">
                    <li class="page-item <?php echo e($blogdata->onFirstPage() ? 'disabled' : ''); ?>">
                        <a class="btn btn-dark btn-circle me-3" href="<?php echo e($blogdata->previousPageUrl()); ?>"
                            aria-label="Previous">
                            <i class="bi bi-arrow-left"></i>
                        </a>
                    </li>
                    <li class="page-item <?php echo e(!$blogdata->hasMorePages() ? 'disabled' : ''); ?>">
                        <a class="btn btn-dark btn-circle" href="<?php echo e($blogdata->nextPageUrl()); ?>" aria-label="Next">
                            <i class="bi bi-arrow-right"></i>
                        </a>
                    </li>
                </ul>
            </nav>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('dashboard.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Fast Computer\OneDrive\Desktop\Haider\haider\resources\views/dashboard/blog/trash.blade.php ENDPATH**/ ?>