<?php $__env->startSection('main-container'); ?>
    <style>
        .btn-circle {
            width: 40px;
            height: 40px;
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
            padding: 0;
            border: 1px solid white;
        }

        .action-buttons {
            display: flex;
            gap: 10px;
            justify-content: center;
        }

        .btn-circle:hover {
            background-color: red;
            color: white;
        }

        .page-header {
            display: flex;
            justify-content: space-between;
            align-items: center;
        }
    </style>

    <div class="container my-4">
        <div class="page-header mb-4">
            <h1 class="h3 text-center mx-auto"><strong>Billing Management</strong></h1>
            <a href="<?php echo e(route('billingtrash')); ?>" class="btn btn-dark btn-circle" title="View Trash">
                <i class="bi bi-person-x-fill"></i>
            </a>
        </div>
        <table class="table table-striped table-bordered">
            <thead class="table-dark">
                <tr>
                    <th>ID</th>
                    <th>First Name</th>
                    <th>Last Name</th>
                    <th>Country</th>
                    <th>Address</th>
                    <th>Street Address</th>
                    <th>Apartment</th>
                    <th>Town/City</th>
                    <th>State</th>
                    <th>Postcode</th>
                    <th>Phone</th>
                    <th>Email</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $billingdata; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($data->id); ?></td>
                        <td><?php echo e($data->first_name); ?></td>
                        <td><?php echo e($data->last_name); ?></td>
                        <td><?php echo e($data->country); ?></td>
                        <td><?php echo e($data->address); ?></td>
                        <td><?php echo e($data->street_address); ?></td>
                        <td><?php echo e($data->apartment); ?></td>
                        <td><?php echo e($data->town_city); ?></td>
                        <td><?php echo e($data->state); ?></td>
                        <td><?php echo e($data->postcode); ?></td>
                        <td><?php echo e($data->phone); ?></td>
                        <td><?php echo e($data->email); ?></td>
                        <td>
                            <div class="action-buttons">
                                <a href="<?php echo e(route('billingedit', $data->id)); ?>" class="btn btn-dark btn-circle"
                                    title="Edit">
                                    <i class="bi bi-pencil"></i>
                                </a>
                                <a href="<?php echo e(route('billingdelete', $data->id)); ?>" class="btn btn-dark btn-circle"
                                    title="Delete">
                                    <i class="bi bi-trash"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>


    <div class="d-flex justify-content-center my-4">
        <nav aria-label="Page navigation">
            <ul class="pagination">
                <li class="page-item <?php echo e($billingdata->onFirstPage() ? 'disabled' : ''); ?>">
                    <a class="btn btn-dark btn-circle me-3" href="<?php echo e($billingdata->previousPageUrl()); ?>"
                        aria-label="Previous">
                        <i class="bi bi-arrow-left"></i> <!-- Left Arrow Icon -->
                    </a>
                </li>
                <li class="page-item <?php echo e(!$billingdata->hasMorePages() ? 'disabled' : ''); ?>">
                    <a class="btn btn-dark btn-circle" href="<?php echo e($billingdata->nextPageUrl()); ?>" aria-label="Next">
                        <i class="bi bi-arrow-right"></i> <!-- Right Arrow Icon -->
                    </a>
                </li>
            </ul>
        </nav>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('dashboard.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Fast Computer\OneDrive\Desktop\Haider\haider\resources\views/dashboard\billing\show.blade.php ENDPATH**/ ?>