<?php $__env->startSection('main-container'); ?>
    <style>
        .btn-circle {
            width: 40px;
            height: 40px;
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
            padding: 0;
            border: 1px solid white;
        }

        .action-buttons {
            display: flex;
            gap: 10px;
            justify-content: center;
        }

        .btn-circle:hover {
            background-color: red;
            color: white;
        }

        .page-header {
            display: flex;
            align-items: center;
            /* Align items vertically */
            justify-content: space-between;
            /* Space between the items */
            margin-bottom: 20px;
            /* Space below the header */
        }

        .header-title {
            flex-grow: 1;
            /* Allow the title to take available space */
            text-align: center;
            /* Center the heading */
        }

        .image-thumbnail {
            width: 50px;
            height: 50px;
            object-fit: cover;
            border-radius: 4px;
            border: 1px solid #ddd;
        }

        .alert {
            margin-bottom: 20px;
        }

        /* Custom styles for the heading */
        .h3 {
            margin: 0;
            /* Remove margin for centering */
        }

        table {
            background-color: transparent;
            /* Make table background transparent */
            color: white;
            border: none;
            /* Remove border */
        }

        th {
            background-color: #333;
            color: white;
        }

        td {
            color: #ccc;
        }

        .table {
            border-radius: 8px;
            overflow: hidden;
            /* Round the corners of the table */
        }

        .table th,
        .table td {
            vertical-align: middle;
            /* Center content vertically */
        }

        .pagination {
            margin: 20px 0;
            /* Add margin around pagination */
        }

        .pagination .page-item.active .page-link {
            background-color: #007bff;
            /* Active page color */
            color: white;
            /* Active page text color */
        }
    </style>

    <div class="container my-4">
        <div class="page-header">
            <a class="btn btn-dark btn-circle me-3" href="<?php echo e(route('productsshow')); ?>" aria-label="Back">
                <i class="bi bi-arrow-left"></i>
            </a>
            <div class="header-title">
                <h1 class="h3"><strong>Product Trash</strong></h1>
            </div>
        </div>

        <?php if($errors->any()): ?>
            <div class="alert alert-danger">
                <ul>
                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li><?php echo e($error); ?></li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            </div>
        <?php endif; ?>

        <table class="table table-striped table-bordered">
            <thead class="table-dark">
                <tr>
                    <th>ID</th>
                    <th>Name</th>
                    <th>Slug</th>
                    <th>Description</th>
                    <th>Price</th>
                    <th>Stock</th>
                    <th>Status</th>
                    <th>Category</th>
                    <th>Image</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $productdata; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($product->id); ?></td>
                        <td class="text-left"><?php echo e($product->name); ?></td>
                        <td class="text-left"><?php echo e($product->slug); ?></td>
                        <td class="text-left"><?php echo e($product->description); ?></td>
                        <td class="text-left"><?php echo e($product->price); ?></td>
                        <td class="text-left"><?php echo e($product->stock); ?></td>
                        <td class="text-left">
                            <?php if($product->status == 1): ?>
                                <i class="bi bi-check-circle text-success" title="Active"></i> Active
                            <?php else: ?>
                                <i class="bi bi-x-circle text-danger" title="Blocked"></i> Blocked
                            <?php endif; ?>
                        </td>
                        <td class="text-left">
                            <?php if($product->category_id): ?>
                                <?php echo e($categories->find($product->category_id)->name ?? 'No Category'); ?>

                            <?php else: ?>
                                <span>No Category</span>
                            <?php endif; ?>
                        </td>
                        <td class="text-center">
                            <?php if($product->image): ?>
                                <img src="<?php echo e(asset('Product/' . $product->image)); ?>" alt="Image" class="image-thumbnail">
                            <?php else: ?>
                                <span>No Image</span>
                            <?php endif; ?>
                        </td>
                        <td>
                            <div class="action-buttons">
                                <a href="<?php echo e(route('productsrestore', $product->id)); ?>" class="btn btn-dark btn-circle"
                                    title="Restore">
                                    <i class="bi bi-arrow-clockwise"></i>
                                </a>
                                <a href="<?php echo e(route('productsperment', $product->id)); ?>" class="btn btn-dark btn-circle"
                                    title="Delete">
                                    <i class="bi bi-trash"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>

        <div class="d-flex justify-content-center my-4">
            <nav aria-label="Page navigation">
                <ul class="pagination">
                    <li class="page-item <?php echo e($productdata->onFirstPage() ? 'disabled' : ''); ?>">
                        <a class="btn btn-dark btn-circle me-3" href="<?php echo e($productdata->previousPageUrl()); ?>"
                            aria-label="Previous">
                            <i class="bi bi-arrow-left"></i>
                        </a>
                    </li>
                    <li class="page-item <?php echo e(!$productdata->hasMorePages() ? 'disabled' : ''); ?>">
                        <a class="btn btn-dark btn-circle" href="<?php echo e($productdata->nextPageUrl()); ?>" aria-label="Next">
                            <i class="bi bi-arrow-right"></i>
                        </a>
                    </li>
                </ul>
            </nav>
        </div>

    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('dashboard.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Fast Computer\OneDrive\Desktop\Haider\haider\resources\views/dashboard/product/trash.blade.php ENDPATH**/ ?>