<!DOCTYPE html>
<html lang="zxx">

<?php echo $__env->make('frontend.layouts.head', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<body>

    <?php echo $__env->make('frontend.layouts.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!-- Breadcrumb Section Begin -->
    <section class="breadcrumb-section set-bg"
        style="background: linear-gradient(to right, #ffffff, #f8f8f8); padding: 30px 0;">
        <div class="container">
            <div class="row">
                <div class="text-center col-lg-12">
                    <div class="breadcrumb__text">
                        <h2 style="color: #333;">Haider Bazaar</h2>
                        <div class="breadcrumb__option">
                            <a href="<?php echo e(route('home')); ?>" style="color: #555;">Home</a>
                            <span style="color: #aaa;">/</span>
                            <a href="<?php echo e(route('shop')); ?>" style="color: #555;">Shop</a>
                            <span style="color: #888;">/ Product Detail</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Breadcrumb Section End -->

    <section class="product-details spad">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 col-md-6">
                    <div class="product__details__pic">
                        <div class="product__details__pic__item">
                            <!-- Dynamically insert the product image -->
                            <?php if($productdetail->image): ?>
                                <div class="product__details__pic__item">
                                    <img class="product__details__pic__item--large"
                                        src="<?php echo e(asset('Product/' . $productdetail->image)); ?>"
                                        alt="<?php echo e($productdetail->name); ?>">
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6">
                    <div class="product__details__text">
                        <h3><?php echo e($productdetail->name); ?></h3>
                        <div class="product__details__rating">
                            <!-- Dynamically render the rating stars -->
                            <?php for($i = 0; $i < 5; $i++): ?>
                                <i class="fa fa-star<?php echo e($i < $productdetail->rating ? '' : '-half-o'); ?>"></i>
                            <?php endfor; ?>
                            <span>(<?php echo e($productdetail->reviews_count); ?> reviews)</span>
                        </div>
                        <div class="product__details__price"><?php echo e($productdetail->price); ?> Rs</div>
                        <p><?php echo e($productdetail->description); ?></p>
                        <div style="display: flex; align-items: center; gap: 10px;">
                            <div class="product__details__quantity">
                                <div class="quantity">
                                    <div class="pro-qty">
                                        <input type="text" value="1">
                                    </div>
                                </div>
                                <script>
                                    $(document).ready(function() {
                                        $('.pro-qty').prepend('<span class="dec qtybtn">-</span>');
                                        $('.pro-qty').append('<span class="inc qtybtn">+</span>');
                                        $('.qtybtn').on('click', function() {
                                            var $button = $(this);
                                            var oldValue = $button.parent().find('input').val();
                                            if ($button.hasClass('inc')) {
                                                var newVal = parseFloat(oldValue) + 1;
                                            } else {
                                                if (oldValue > 1) {
                                                    var newVal = parseFloat(oldValue) - 1;
                                                } else {
                                                    newVal = 1;
                                                }
                                            }
                                            $button.parent().find('input').val(newVal);
                                        });
                                    })
                                </script>
                            </div>
                            <form action="<?php echo e(route('cart.add', ['productId' => $productdetail->id])); ?>" method="POST"
                                style="display: inline;">
                                <?php echo csrf_field(); ?>
                                <button type="submit" class="primary-btn">ADD TO CART</button>
                            </form>


                        </div>

                        <ul>
                            <li><b>Availability</b> <span>In Stock</span></li>
                            <li><b>Shipping</b> <span>01 day shipping. <samp>Free pickup today</samp></span></li>
                            <li><b>Weight</b> <span>0.5 kg</span></li>

                        </ul>
                    </div>
                </div>
                <div class="col-lg-12">
                    <div class="product__details__tab">
                        <ul class="nav nav-tabs" role="tablist">
                            <li class="nav-item">
                                <a class="nav-link active" data-toggle="tab" href="#tabs-1" role="tab"
                                    aria-selected="true">Description</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" data-toggle="tab" href="#tabs-2" role="tab"
                                    aria-selected="false">Information</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" data-toggle="tab" href="#tabs-3" role="tab"
                                    aria-selected="false">Reviews
                                    <span>(<?php echo e($productdetail->reviews_count); ?>)</span></a>
                            </li>
                        </ul>
                        <div class="tab-content">
                            <div class="tab-pane active" id="tabs-1" role="tabpanel">
                                <div class="product__details__tab__desc">
                                    <h6>Product Information</h6>
                                    <p><?php echo e($productdetail->description); ?></p>
                                </div>
                            </div>
                            <div class="tab-pane" id="tabs-2" role="tabpanel">
                                <div class="product__details__tab__desc">
                                    <h6>Product Information</h6>
                                    <p><?php echo e($productdetail->additional_info); ?></p>
                                </div>
                            </div>
                            <div class="tab-pane" id="tabs-3" role="tabpanel">
                                <div class="product__details__tab__desc">
                                    <h6>Product Reviews</h6>
                                    <p><?php echo e($productdetail->reviews_count); ?> reviews</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>



        </div>
    </section>

    <!-- Related Product Section End -->

    <!-- Footer Section Begin -->
    <?php echo $__env->make('frontend.layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <!-- Footer Section End -->

    <!-- Js Plugins -->
    <script src="js/jquery-3.3.1.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/jquery.nice-select.min.js"></script>
    <script src="js/jquery-ui.min.js"></script>
    <script src="js/jquery.slicknav.js"></script>
    <script src="js/mixitup.min.js"></script>
    <script src="js/owl.carousel.min.js"></script>
    <script src="js/main.js"></script>



</body>

</html>
<?php /**PATH C:\Users\Fast Computer\OneDrive\Desktop\Haider\haider\resources\views/frontend/shop-details.blade.php ENDPATH**/ ?>