<!DOCTYPE html>
<html lang="zxx">

<?php echo $__env->make('frontend.layouts.head', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<body>

    <?php echo $__env->make('frontend.layouts.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>


    <!-- Breadcrumb Section Begin -->
    <section class="breadcrumb-section set-bg"
        style="background: linear-gradient(to right, #ffffff, #f8f8f8); padding: 30px 0;">
        <div class="container">
            <div class="row">
                <div class="text-center col-lg-12">
                    <div class="breadcrumb__text">
                        <h2 style="color: #444;">Haider Bazaar</h2>
                        <div class="breadcrumb__option">
                            <a href="<?php echo e(route('home')); ?>" style="color: #555;">Home</a>
                            <span style="color: #aaa;">/</span>
                            <a href="<?php echo e(route('shop')); ?>" style="color: #555;">Shop</a>
                            <span style="color: #888;">/ Add to card</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Breadcrumb Section End -->


    <!-- Shoping Cart Section Begin -->
    <section class="shoping-cart spad">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="shoping__cart__table">
                        <?php if(session('cart') && count(session('cart')) > 0): ?>
                            <table>
                                <thead>
                                    <tr>
                                        <th class="shoping__product">Products</th>
                                        <th>Price</th>
                                        <th>Quantity</th>
                                        <th>Total</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = session('cart'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $productId => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td class="shoping__cart__item">
                                                <h5><?php echo e($item['name']); ?></h5>
                                            </td>
                                            <td class="shoping__cart__price">
                                                <?php echo e($item['price']); ?> Rs
                                            </td>
                                            <td class="shoping__cart__quantity">
                                                <div class="quantity">
                                                    <div class="pro-qty">
                                                        <input type="text" value="<?php echo e($item['quantity']); ?>">
                                                    </div>
                                                </div>
                                            </td>
                                            <td class="shoping__cart__total">
                                                <?php echo e($item['quantity'] * $item['price']); ?> Rs
                                            </td>
                                            <td class="shoping__cart__item__close">
                                                <form action="<?php echo e(route('cart.remove', $productId)); ?>" method="POST">
                                                    <?php echo csrf_field(); ?>
                                                    <button type="submit" class="icon_close btn btn-danger"></button>
                                                </form>


                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table><br>
                            <form action="<?php echo e(route('cart.remove', $productId)); ?>" method="POST">
                                <?php echo csrf_field(); ?>
                                <button type="submit" class="btn btn-danger">Clear Cart</button>
                            </form>
                        <?php else: ?>
                            <p>Your cart is empty!</p>
                        <?php endif; ?>

                    </div>
                </div>
            </div>
            <div class="row">


                <!-- Shoping Cart Section Begin -->
                <section class="shoping-cart spad">
                    <div class="container">

                        <div class="row">
                            <div class="col-lg-12">
                                <div class="shoping__cart__btns">
                                    <a href="<?php echo e(route('shop')); ?>" class="primary-btn cart-btn">CONTINUE SHOPPING</a>
                                </div>
                            </div>

                            <div class="col-lg-12">
                                <div class="shoping__checkout">
                                    <h5>Cart Total</h5>
                                    <ul>
                                        <?php if(session('cart') && count(session('cart')) > 0): ?>
                                            <!-- Check if there are products in the cart -->
                                            <li>Total <span><?php echo e(session('cart_total', 0)); ?> Rs</span></li>
                                            <!-- Display total -->
                                        <?php else: ?>
                                            <li>Total <span>$0</span></li> <!-- Display $0 if cart is empty -->
                                        <?php endif; ?>
                                    </ul>

                                    <a href="<?php echo e(route('checkout')); ?>" class="primary-btn">PROCEED TO CHECKOUT</a>
                                </div>
                            </div>
                        </div>

                    </div>
                </section>

            </div>
        </div>
    </section>
    <!-- Shoping Cart Section End -->

    <!-- Footer Section Begin -->
    <?php echo $__env->make('frontend.layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <!-- Footer Section End -->

    <!-- Js Plugins -->
    <script src="js/jquery-3.3.1.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/jquery.nice-select.min.js"></script>
    <script src="js/jquery-ui.min.js"></script>
    <script src="js/jquery.slicknav.js"></script>
    <script src="js/mixitup.min.js"></script>
    <script src="js/owl.carousel.min.js"></script>
    <script src="js/main.js"></script>


</body>

</html>
<?php /**PATH C:\Users\Fast Computer\OneDrive\Desktop\Haider\haider\resources\views/frontend/shoping-cart.blade.php ENDPATH**/ ?>