<?php $__env->startSection('main-container'); ?>
    <style>
        .btn-circle {
            width: 40px;
            height: 40px;
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
            padding: 0;
            border: 1px solid white;
        }

        .action-buttons {
            display: flex;
            gap: 10px;
            justify-content: center;
        }

        .btn-circle:hover {
            background-color: red;
            color: white;
        }

        .page-header {
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .image-thumbnail {
            width: 50px;
            height: 50px;
            object-fit: cover;
            border-radius: 4px;
            border: 1px solid #ddd;
        }

        .alert {
            margin-bottom: 20px;
        }

        /* Custom styles for the heading */
        .h3 {
            margin-bottom: 20px;
        }
    </style>

    <div class="container my-4">
        <div class="page-header mb-4">
            <a href="<?php echo e(route('productsadd')); ?>" class="btn btn-dark" title="Add Product">
                <i class="bi bi-plus-lg"></i> Add Product
            </a>

            <h1 class="h3 text-center mx-auto"><strong>Product Management</strong></h1>

            <a href="<?php echo e(route('productstrash')); ?>" class="btn btn-dark btn-circle" title="View Trash">
                <i class="bi bi-person-x-fill"></i>
            </a>
        </div>



        <?php if($errors->any()): ?>
            <div class="alert alert-danger">
                <ul>
                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li><?php echo e($error); ?></li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            </div>
        <?php endif; ?>

        <table class="table table-striped table-bordered">
            <thead class="table-dark">
                <tr>
                    <th>ID</th>
                    <th>Name</th>
                    <th>Slug</th>
                    <th>Description</th>
                    <th>Price</th>
                    <th>Stock</th>
                    <th>Status</th>
                    <th>Category</th>
                    <th> Sale</th>
                    <th>Image</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($product->id); ?></td>
                        <td class="text-left"><?php echo e($product->name); ?></td>
                        <td class="text-left"><?php echo e($product->slug); ?></td>
                        <td class="text-left"><?php echo e($product->description); ?></td>
                        <td class="text-left"><?php echo e($product->price); ?></td>
                        <td class="text-left"><?php echo e($product->stock); ?></td>
                        <td class="text-left">
                            <?php if($product->status == 1): ?>
                                <i class="bi bi-check-circle text-success" title="Active"></i> Active
                            <?php else: ?>
                                <i class="bi bi-x-circle text-danger" title="Blocked"></i> Blocked
                            <?php endif; ?>
                        </td>
                        <td class="text-left">
                            <?php if($product->category_id): ?>
                                <?php echo e($categories->find($product->category_id)->name ?? 'No Category'); ?>

                            <?php else: ?>
                                <span>No Category</span>
                            <?php endif; ?>
                        </td>
                        <td class="text-left">
                            <?php if($product->is_on_sale): ?>
                                Sale
                            <?php else: ?>
                                Not Sale
                            <?php endif; ?>
                        </td>

                        <td class="text-center">
                            <?php if($product->image): ?>
                                <img src="<?php echo e(asset('Product/' . $product->image)); ?>" alt="Image"
                                    class="image-thumbnail">
                            <?php else: ?>
                                <span>No Image</span>
                            <?php endif; ?>
                        </td>
                        <td>
                            <div class="action-buttons">
                                <a href="<?php echo e(route('productsedit', $product->id)); ?>" class="btn btn-dark btn-circle"
                                    title="Edit">
                                    <i class="bi bi-pencil"></i>
                                </a>
                                <a href="<?php echo e(route('productsdelete', $product->id)); ?>" class="btn btn-dark btn-circle"
                                    title="Delete">
                                    <i class="bi bi-trash"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>

        <div class="d-flex justify-content-center my-4">
            <nav aria-label="Page navigation">
                <ul class="pagination">
                    <li class="page-item <?php echo e($products->onFirstPage() ? 'disabled' : ''); ?>">
                        <a class="btn btn-dark btn-circle me-3" href="<?php echo e($products->previousPageUrl()); ?>"
                            aria-label="Previous">
                            <i class="bi bi-arrow-left"></i>
                        </a>
                    </li>
                    <li class="page-item <?php echo e(!$products->hasMorePages() ? 'disabled' : ''); ?>">
                        <a class="btn btn-dark btn-circle" href="<?php echo e($products->nextPageUrl()); ?>" aria-label="Next">
                            <i class="bi bi-arrow-right"></i>
                        </a>
                    </li>
                </ul>
            </nav>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('dashboard.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Fast Computer\OneDrive\Desktop\Haider\haider\resources\views/dashboard/product/show.blade.php ENDPATH**/ ?>