<?php $__env->startSection('main-container'); ?>
    <style>
        .btn-circle {
            border-radius: 50%;
            width: 40px;
            height: 40px;
            display: flex;
            justify-content: center;
            align-items: center;
            padding: 0;
            border: 1px solid white;
        }

        .btn-circle:hover {
            background-color: red;
            color: white;
        }

        .form-select,
        .form-control {
            background-color: #000;
            color: white;
        }

        .form-control::placeholder {
            color: #ccc;
        }

        .form-select:focus,
        .form-control:focus {
            border-color: red;
            box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, .25);
        }

        .custom-file-input {
            display: none;
        }

        .custom-file-label {
            background-color: #000;
            color: white;
            border: 1px solid white;
            padding: 10px;
            border-radius: 4px;
            width: 100%;
            text-align: center;
        }
    </style>
    <div class="container my-4">
        <div class="d-flex align-items-center mb-4">
            <a href="<?php echo e(route('productsshow')); ?>" class="btn btn-dark btn-circle me-3">
                <i class="bi bi-arrow-left"></i>
            </a>
            <h1 class="h3 mx-auto"><strong>Edit Product</strong></h1>
        </div>

        <form action="<?php echo e(route('productsupdate', $product->id)); ?>" method="POST" class="border p-4 rounded shadow-sm"
            enctype="multipart/form-data">
            <?php echo csrf_field(); ?>

            <div class="mb-3 row">
                <label for="name" class="form-label col-sm-2 col-form-label">Name</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" name="name" id="name" placeholder="Enter name"
                        value="<?php echo e(old('name', $product->name)); ?>">
                    <p class="text-danger">
                        <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <?php echo e($message); ?>

                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </p>
                </div>
            </div>

            <div class="mb-3 row">
                <label for="slug" class="form-label col-sm-2 col-form-label">Slug</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" name="slug" id="slug" placeholder="slug"
                        value="<?php echo e(old('slug', $product->slug)); ?>">
                    <p class="text-danger">
                        <?php $__errorArgs = ['slug'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <?php echo e($message); ?>

                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </p>
                </div>
            </div>

            <div class="mb-3 row">
                <label for="description" class="form-label col-sm-2 col-form-label">Description</label>
                <div class="col-sm-10">
                    <textarea class="form-control" name="description" id="description" placeholder="Enter description"><?php echo e(old('description', $product->description)); ?></textarea>
                    <p class="text-danger">
                        <?php $__errorArgs = ['description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <?php echo e($message); ?>

                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </p>
                </div>
            </div>

            <div class="mb-3 row">
                <label for="price" class="form-label col-sm-2 col-form-label">Price</label>
                <div class="col-sm-10">
                    <input type="number" class="form-control" name="price" id="price" placeholder="Enter price"
                        value="<?php echo e(old('price', $product->price)); ?>">
                    <p class="text-danger">
                        <?php $__errorArgs = ['price'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <?php echo e($message); ?>

                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </p>
                </div>
            </div>

            <div class="mb-3 row">
                <label for="stock" class="form-label col-sm-2 col-form-label">Stock</label>
                <div class="col-sm-10">
                    <input type="number" class="form-control" name="stock" id="stock" placeholder="Enter stock"
                        value="<?php echo e(old('stock', $product->stock)); ?>">
                    <p class="text-danger">
                        <?php $__errorArgs = ['stock'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <?php echo e($message); ?>

                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </p>
                </div>
            </div>

            <div class="mb-3 row">
                <label for="status" class="form-label col-sm-2 col-form-label">Status</label>
                <div class="col-sm-10">
                    <select name="status" id="status" class="form-select">
                        <option value="1" <?php echo e($product->status == 1 ? 'selected' : ''); ?>>Active</option>
                        <option value="0" <?php echo e($product->status == 0 ? 'selected' : ''); ?>>Block</option>
                    </select>
                    <p class="text-danger">
                        <?php $__errorArgs = ['status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <?php echo e($message); ?>

                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </p>
                </div>
            </div>

            <div class="mb-3 row">
                <label for="category_id" class="form-label col-sm-2 col-form-label">Category</label>
                <div class="col-sm-10">
                    <select name="category_id" id="category_id" class="form-select">
                        <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($category->id); ?>"
                                <?php echo e($product->category_id == $category->id ? 'selected' : ''); ?>><?php echo e($category->name); ?>

                            </option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <p class="text-danger">
                        <?php $__errorArgs = ['category_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <?php echo e($message); ?>

                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </p>
                </div>
            </div>
            <div class="mb-3 row">
                <label for="is_on_sale" class="form-label col-sm-2 col-form-label">Is On Sale</label>
                <div class="col-sm-10">
                    <input type="checkbox" name="is_on_sale" id="is_on_sale" value="1" class="form-check-input">
                    <label for="is_on_sale" class="form-check-label">Check if the product is on sale</label>
                    <p class="text-danger">
                        <?php $__errorArgs = ['is_on_sale'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <?php echo e($message); ?>

                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </p>
                </div>
            </div>

            <div class="mb-3 row">
                <label for="image" class="form-label col-sm-2 col-form-label">Image</label>
                <div class="col-sm-10">
                    <label for="image" class="custom-file-label">No file chosen</label>
                    <input type="file" class="custom-file-input" name="image" id="image" accept="image/*"
                        onchange="updateFileName()">
                    <p class="text-danger">
                        <?php $__errorArgs = ['image'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <?php echo e($message); ?>

                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </p>
                </div>
            </div>

            <button type="submit" class="btn btn-primary w-100">Update</button>
        </form>
    </div>

    <script>
        function updateFileName() {
            const fileInput = document.getElementById('image');
            const fileLabel = fileInput.previousElementSibling;
            const fileName = fileInput.files[0] ? fileInput.files[0].name : 'No file chosen';
            fileLabel.innerText = fileName;
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('dashboard.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Fast Computer\OneDrive\Desktop\Haider\haider\resources\views/dashboard/product/edit.blade.php ENDPATH**/ ?>