<?php $__env->startSection('content'); ?>
    <div class="container">
        <h2>Your Shopping Cart</h2>

        <?php if(session('success')): ?>
            <div class="alert alert-success">
                <?php echo e(session('success')); ?>

            </div>
        <?php elseif(session('error')): ?>
            <div class="alert alert-danger">
                <?php echo e(session('error')); ?>

            </div>
        <?php endif; ?>

        <?php if(isset($cart) && count($cart) > 0): ?>
            <table class="table">
                <thead>
                    <tr>
                        <th>Product</th>
                        <th>Quantity</th>
                        <th>Price</th>
                        <th>Total</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $cart; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $productId => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td>
                                <img src="<?php echo e(asset('storage/' . $item['image'])); ?>" width="50" alt="<?php echo e($item['name']); ?>">
                                <?php echo e($item['name']); ?>

                            </td>
                            <td>
                                <form action="<?php echo e(route('cart.update', $productId)); ?>" method="POST">
                                    <?php echo csrf_field(); ?>
                                    <input type="number" name="quantity" value="<?php echo e($item['quantity']); ?>" min="1"
                                        class="form-control" style="width: 80px;">
                                    <button type="submit" class="btn btn-warning">Update</button>
                                </form>
                            </td>
                            <td><?php echo e($item['price']); ?></td>
                            <td><?php echo e($item['quantity'] * $item['price']); ?></td>
                            <td>
                                <form action="<?php echo e(route('cart.remove', $productId)); ?>" method="POST">
                                    <?php echo csrf_field(); ?>
                                    <button type="submit" class="btn btn-danger">Remove</button>
                                </form>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>

            <a href="<?php echo e(route('cart.clear')); ?>" class="btn btn-danger">Clear Cart</a>
        <?php else: ?>
            <p>Your cart is empty!</p>
        <?php endif; ?>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Fast Computer\OneDrive\Desktop\Haider\haider\resources\views/frontend\shoping-cart.blade.php ENDPATH**/ ?>